Check out our brand new PlayCatan HMTL 5 Betatest Version! Without Java!
Game News
Mac users: Oracle Java required for browswer games
Monday, 22 October 2012 11:19

A few days ago, Apple has released “Java für OS X 2012-006” for Mac OS X 10.7 “Lion” und 10.8 “Mountain Lion”. It does not only install the latest version 1.6.0_37 of Java SE 6, but it also removes the Java browser plugin. To keep playing our browser games, it is now necessary to download and install it from www.java.com.

 

The info text in Apple's installer that is quite easily missed describes it quite clearly:

 

Java for OS X 2012-006 delivers improved security, reliability, and compatibility by updating Java SE 6 to 1.6.0_37.

This update uninstalls the Apple-provided Java applet plug-in from all web browsers. To use applets on a web page, click on the region labeled "Missing plug-in" to go download the latest version of the Java applet plug-in from Oracle.

 

This equally affects the Catan Dice Game, the Catan games against computer opponents (including Seafarers and Cities & Knights scenarios), playing with other people over the internet and also the introductory games.

To keep playing these games, it is necessary to download and install Java Version 7 Update 9 from www.java.com. This requires Mac OS X 10.7.3 of later.

 

Users of OS X 10.6 “Snow Leopard” are not affected by this: The latest Java update installs the most current Java 1.6.0_37 as well, but this version will remain available as a browser plugin.